/**
 * Test case for fromSpecString.
 * Runs with nodeunit.
 */
"use strict";

const fromSpecString = require('../lib/from_spec_string.js'),
    assert = require('assert');

describe('from spec', ()=> {

    it('From spec string', (done) => {
        var passwd = fromSpecString('foo:12:20');
        assert.equal(passwd.algorithm, 'foo');
        assert.equal(passwd.iterations, 12);
        assert.equal(passwd.length, 20);
        done();
    });

});
