/**
 * Password manager for apeman.
 * @module apemanpasswd
 * @version 2.0.0
 */

"use strict";

const pkg = require('../package.json'),
    create = require('./create'),
    Apemanpasswd = require('./apemanpasswd'),
    fromSpecString = require('./from_spec_string');

let lib = create({});
lib.create = create;
lib.fromSpecString = fromSpecString;
lib.Apemanpasswd = Apemanpasswd;
module.exports = lib;
